package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscountPkStockCode;
import com.hfkj.entity.BsDiscountStockCode;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountPkStockCodeService
 * @author: HuRui
 * @date: 2024/9/2
 **/
public interface BsDiscountPkStockCodeService {

    /**
     * 批量插入
     * @param codeList
     */
    void insertList(List<BsDiscountPkStockCode> codeList);

    /**
     * 修改
     * @param data
     */
    void update(BsDiscountPkStockCode data);

    /**
     * 分配库存code【需要配合锁使用】
     * @param discountPkNo
     * @return
     */
    List<BsDiscountPkStockCode> getAssignCodeList(String discountPkNo, Integer number);

    /**
     * 查询详情
     * @param stockId 库存id
     * @return
     */
    BsDiscountPkStockCode getDetail(Long stockId);
    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsDiscountPkStockCode> getCodeList(Map<String,Object> param);

}
